View Issue Details

IDProjectCategoryView StatusLast Update
0003498SymmetricDSBugpublic2018-05-07 17:05
ReportergwilmerAssigned Togwilmer 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.6Fixed in Version3.9.6 
Summary0003498: Batches with status of RS (resend) are flagged as In Error.
DescriptionBatches with status of RS (resend) have error flag set even though the batch status is resend. Since there are multiple reasons for the possible need to resend (purge of staging, etc.) and since these batches will automatically resend, the error flag should not be set. The batch status will be resend but the error flag should be false.

Relationships

related to 0003538 closedelong Batch left in status resend (RS) is never loaded on target and marked okay (OK) on source 
related to 0003551 closedmmichalek (3.8.x version of 0003538): Batch left in status resend (RS) is never loaded on target and marked okay (OK) on source 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 87224237

2018-03-18 22:08:22

gregwilmer

Details Diff
0003498: Don't set error flag on ack of resend request batch.
0003498
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File

Issue History

Date Modified Username Field Change
2018-03-18 21:13 gwilmer New Issue
2018-03-18 21:13 gwilmer Status new => assigned
2018-03-18 21:13 gwilmer Assigned To => gwilmer
2018-03-18 21:13 gwilmer Issue generated from: 0003493
2018-03-18 22:09 gwilmer Status assigned => resolved
2018-03-18 22:09 gwilmer Resolution open => fixed
2018-03-18 22:09 gwilmer Fixed in Version => 3.9.6
2018-03-18 23:00 Changeset attached => SymmetricDS 3.9 87224237
2018-03-28 18:16 mmichalek Status resolved => closed
2018-05-02 14:56 elong Relationship added related to 0003538
2018-05-07 17:05 mmichalek Relationship added related to 0003551